=== debian/changelog ===
mpi4py (4.0.3-3ubuntu3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:15:49 +0000

mpi4py (4.0.3-3ubuntu2) questing; urgency=medium

  * Backport upstream patch to fix build with Sphinx 8.2 (LP: #2113468).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 08 Jun 2025 22:54:55 +0300

mpi4py (4.0.3-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining chamges:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Matthias Klose <doko@ubuntu.com>  Sat, 15 Mar 2025 13:07:02 +0100

mpi4py (4.0.3-3) unstable; urgency=medium

  * skip spawn tests with OpenMPI. See Bug#1100120
  * avoid network-related (OPAL/libucs) tests errors by setting
    OMPI_MCA_btl_tcp_if_include=lo. Again, see Bug#1100120

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 23:03:55 +0100

mpi4py (4.0.3-2) unstable; urgency=medium

  * skip failing tests triggering a PMIX error in OpenMPI builds,
    to work around Bug#1098576
    - in test_util_pkl5: testIMProbe, testISSendAndRecv,
      testISSendCancel, testMessageProbeIProbe, testMProbe, testProbe,
      testTestAll, testGetStatusAll, testWaitAll
    - also test_util_pool: test_apply, test_async_error_callback,
      test_empty_iterable, test_imap, test_istarmap, test_map,
      test_pool_worker_lifetime_early_close, test_starmap,
      test_starmap_async
    - test_util_sync: testAcquireFree, testFree, testWaitForNotify,
      testWaitNotify, testDefault, testIter, testRoot, testNext,
      testStart, testTypechar, testStep, testAcquireRelease,
      testExclusion, testFairness, testAcquireNonblocking,
      test_unsupported_args, testWith, testValue, testBeginEnd
    - test_win: testAttributes, testCreateFlavor, testGetGroup,
      testGetAttr, testGetSetErrhandler, testGetSetInfo, testMemory,
      test_terminate, testGetSetName, testPyProps, testPickle,
      testSharedQuery, testAttachDetach

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 14:57:09 +0100

mpi4py (4.0.3-1ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:39:25 +0000

mpi4py (4.0.3-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 20:16:10 -0600

mpi4py (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Feb 2025 21:59:12 +0100

mpi4py (4.0.1-7) unstable; urgency=medium

  * drop DMA test skips. PMIX errors in bigendian (s390x) fixed by
    prrte patch in openmpi 5.0.6-1 (see Bug#1087800)

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jan 2025 23:18:53 +0100

mpi4py (4.0.1-6ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch

 -- Adrien Nader <adrien.nader@canonical.com>  Fri, 29 Nov 2024 17:44:01 +0100

mpi4py (4.0.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Nov 2024 07:13:34 +0100

mpi4py (4.0.1-3ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - Restore test_pack skipping in skip_failing_tests_32bit_mpich.patch
  * Add armhf and s390x to the list of architectures to ignore test results.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Nov 2024 09:22:46 +0100
