=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# define ARCH_DEFAULT_MPI_IMPL
include /usr/share/mpi-default-dev/debian_defaults

PY3DEF = $(shell py3versions -vd)
PY3VERS = $(shell py3versions -vs)

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe

# avoid network-related (OPAL/libucs) errors, see Bug#1100120
export OMPI_MCA_btl_tcp_if_include=lo

# Specify a specific version of MPI to use in the build, otherwise
# just use the default.
# MPI=.openmpi

export  http_proxy=http://127.0.0.1:9/
export  https_proxy=http://127.0.0.1:9/


# disable build tests for these arches:
# x32 consistently times out on tests
NO_TEST_ARCH_LIST = x32

empty :=
space := $(empty)$(empty)

# run tests, or not
RUNTEST=yes
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(NO_TEST_ARCH_LIST)$(space)))
  RUNTEST=no
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  RUNTEST=no
endif

ifeq ($(DEB_HOST_ARCH),mips64el)
# mips64el times out. Run tests on default python only.
    PY3VERS_TESTS = $(PY3DEF)
else
    PY3VERS_TESTS = $(PY3VERS)
endif

# hurd fails a couple of tests
# but hell, hurd needs all the help it can get, so let it pass
ARCH_IGNORE_FAILED_TESTS = hurd-i386

# normally, do not ignore test failures
IGNORE_FAILED_TESTS=/bin/false
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_IGNORE_FAILED_TESTS)$(space)))
  IGNORE_FAILED_TESTS=/bin/true
endif

# OpenMPI is triggering both PMIX and spawn errors
CHECK_OPENMPI = $(MPI) $(ARCH_DEFAULT_MPI_IMPL)
ifneq (,$(findstring $(space)openmpi$(space), $(space)$(CHECK_OPENMPI)$(space)))
  # OpenMPI is triggering spawn errors
  # see Bug#1100120
  SKIP_TEST_LIST += test_spawn

  # OpenMPI is triggering PMIX errors in test_util_pkl5,  test_util_pool, test_util_sync and test_win
  # see Bug#1098576
  SKIP_TEST_LIST += test_util_pkl5.TestMPISelf.testIMProbe test_util_pkl5.TestMPISelf.testISSendAndRecv \
    test_util_pkl5.TestMPISelf.testISSendCancel test_util_pkl5.TestMPISelf.testMessageProbeIProbe \
    test_util_pkl5.TestMPISelf.testMProbe test_util_pkl5.TestMPISelf.testProbe \
    test_util_pkl5.TestMPISelf.testTestAll \
    test_util_pkl5.TestMPISelf.testGetStatusAll test_util_pkl5.TestMPISelf.testWaitAll \
    test_util_pkl5.TestMPIWorld.testIMProbe test_util_pkl5.TestMPIWorld.testISSendAndRecv \
    test_util_pkl5.TestMPIWorld.testISSendCancel test_util_pkl5.TestMPIWorld.testMessageProbeIProbe \
    test_util_pkl5.TestMPIWorld.testMProbe test_util_pkl5.TestMPIWorld.testProbe \
    test_util_pkl5.TestMPIWorld.testTestAll \
    test_util_pkl5.TestMPIWorld.testGetStatusAll  test_util_pkl5.TestMPIWorld.testWaitAll \
    test_util_pkl5.TestPKL5Self.testIMProbe test_util_pkl5.TestPKL5Self.testISSendAndRecv \
    test_util_pkl5.TestPKL5Self.testISSendCancel test_util_pkl5.TestPKL5Self.testMessageProbeIProbe \
    test_util_pkl5.TestPKL5Self.testMProbe test_util_pkl5.TestPKL5Self.testProbe \
    test_util_pkl5.TestPKL5Self.testTestAll \
    test_util_pkl5.TestPKL5Self.testGetStatusAll test_util_pkl5.TestPKL5Self.testWaitAll \
    test_util_pkl5.TestPKL5World.testIMProbe test_util_pkl5.TestPKL5World.testISSendAndRecv \
    test_util_pkl5.TestPKL5World.testISSendCancel test_util_pkl5.TestPKL5World.testMessageProbeIProbe \
    test_util_pkl5.TestPKL5World.testMProbe test_util_pkl5.TestPKL5World.testProbe \
    test_util_pkl5.TestPKL5World.testTestAll \
    test_util_pkl5.TestPKL5World.testGetStatusAll test_util_pkl5.TestPKL5World.testWaitAll \
    test_util_pool.TestProcessPool.test_apply test_util_pool.TestProcessPool.test_async_error_callback \
    test_util_pool.TestProcessPool.test_empty_iterable test_util_pool.TestProcessPool.test_imap \
    test_util_pool.TestProcessPool.test_istarmap test_util_pool.TestProcessPool.test_map \
    test_util_pool.TestProcessPool.test_pool_worker_lifetime_early_close \
    test_util_pool.TestProcessPool.test_starmap \
    test_util_pool.TestThreadPool.test_unsupported_arg test_util_pool.TestThreadPool.test_starmap_async \
    test_util_sync.TestConditionMutexSelf.testAcquireFree test_util_sync.TestConditionMutexSelf.testFree \
    test_util_sync.TestConditionMutexSelf.testWaitForNotify test_util_sync.TestConditionMutexSelf.testWaitNotify \
    test_util_sync.TestConditionMutexWorld.testAcquireFree test_util_sync.TestConditionMutexWorld.testFree \
    test_util_sync.TestConditionMutexWorld.testWaitForNotify test_util_sync.TestConditionMutexWorld.testWaitNotify \
    test_util_sync.TestConditionSelf.testAcquireFree test_util_sync.TestConditionSelf.testFree \
    test_util_sync.TestConditionSelf.testWaitForNotify test_util_sync.TestConditionSelf.testWaitNotify \
    test_util_sync.TestConditionWorld.testAcquireFree test_util_sync.TestConditionWorld.testFree \
    test_util_sync.TestConditionWorld.testWaitForNotify test_util_sync.TestConditionWorld.testWaitNotify \
    test_util_sync.TestCounterSelf.testDefault test_util_sync.TestCounterSelf.testIter \
    test_util_sync.TestCounterSelf.testFree test_util_sync.TestCounterSelf.testRoot \
    test_util_sync.TestCounterSelf.testNext test_util_sync.TestCounterSelf.testStart \
    test_util_sync.TestCounterSelf.testTypechar test_util_sync.TestCounterSelf.testStep \
    test_util_sync.TestCounterWorld.testDefault test_util_sync.TestCounterWorld.testIter \
    test_util_sync.TestCounterWorld.testFree test_util_sync.TestCounterWorld.testRoot \
    test_util_sync.TestCounterWorld.testNext test_util_sync.TestCounterWorld.testStart \
    test_util_sync.TestCounterWorld.testTypechar test_util_sync.TestCounterWorld.testStep \
    test_util_sync.TestMutexBasicSelf.testAcquireFree test_util_sync.TestMutexBasicSelf.testFree \
    test_util_sync.TestMutexBasicSelf.testWaitForNotify test_util_sync.TestMutexBasicSelf.testWaitNotify \
    test_util_sync.TestMutexBasicSelf.testAcquireRelease test_util_sync.TestMutexBasicSelf.testExclusion \
    test_util_sync.TestMutexBasicSelf.testFairness test_util_sync.TestMutexBasicSelf.testAcquireNonblocking \
    test_util_sync.TestMutexBasicSelf.testWith \
    test_util_sync.TestMutexBasicWorld.testAcquireFree test_util_sync.TestMutexBasicWorld.testFree \
    test_util_sync.TestMutexBasicWorld.testWaitForNotify test_util_sync.TestMutexBasicWorld.testWaitNotify \
    test_util_sync.TestMutexBasicWorld.testAcquireRelease test_util_sync.TestMutexBasicWorld.testExclusion \
    test_util_sync.TestMutexBasicWorld.testFairness test_util_sync.TestMutexBasicWorld.testAcquireNonblocking \
    test_util_sync.TestMutexBasicWorld.testWith \
    test_util_sync.TestMutexRecursiveSelf.testAcquireFree test_util_sync.TestMutexRecursiveSelf.testFree \
    test_util_sync.TestMutexRecursiveSelf.testWaitForNotify test_util_sync.TestMutexRecursiveSelf.testWaitNotify \
    test_util_sync.TestMutexRecursiveSelf.testAcquireRelease test_util_sync.TestMutexRecursiveSelf.testExclusion \
    test_util_sync.TestMutexRecursiveSelf.testFairness test_util_sync.TestMutexRecursiveSelf.testAcquireNonblocking \
    test_util_sync.TestMutexRecursiveSelf.testWith \
    test_util_sync.TestMutexRecursiveWorld.testAcquireFree test_util_sync.TestMutexRecursiveWorld.testFree \
    test_util_sync.TestMutexRecursiveWorld.testWaitForNotify test_util_sync.TestMutexRecursiveWorld.testWaitNotify \
    test_util_sync.TestMutexRecursiveWorld.testAcquireRelease test_util_sync.TestMutexRecursiveWorld.testExclusion \
    test_util_sync.TestMutexRecursiveWorld.testFairness test_util_sync.TestMutexRecursiveWorld.testAcquireNonblocking \
    test_util_sync.TestMutexRecursiveWorld.testWith \
    test_util_sync.TestSemaphoreSelf.testAcquireFree test_util_sync.TestSemaphoreSelf.testFree \
    test_util_sync.TestSemaphoreSelf.testWaitForNotify test_util_sync.TestSemaphoreSelf.testWaitNotify \
