=== debian/changelog ===
mpi4py (4.1.0-9) unstable; urgency=medium

  * build on sh4 with -mno-lra (see Bug#1116453)

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Sep 2025 15:54:33 +0200

mpi4py (4.1.0-8) unstable; urgency=medium

  * more updates to skip_failing_tests_PR690.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Sep 2025 17:11:35 +0200

mpi4py (4.1.0-7) unstable; urgency=medium

  * update skip_failing_tests_PR690.patch for ppc64

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Sep 2025 16:02:09 +0200

mpi4py (4.1.0-6) unstable; urgency=medium

  * debian patch skip_failing_tests_PR690.patch applies upstream PR#690
    amalgamating all debian test skips.

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Sep 2025 21:56:00 +0200

mpi4py (4.1.0-5) unstable; urgency=medium

  * debian patch skip_mpich_universesize.patch skips testUniverseSize
    in test_environ.py with mpich (<5). See upstream Issue#679.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Sep 2025 16:53:00 +0200

mpi4py (4.1.0-4) unstable; urgency=medium

  * Team upload.
  * Replace doc_sphinx8.1_revert_PR629.patch with another patch, that
    makes the package build fine with both Sphinx 8.1 and 8.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 25 Aug 2025 21:42:59 +0300

mpi4py (4.1.0-3) unstable; urgency=medium

  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Aug 2025 11:02:26 +0200

mpi4py (4.1.0-2) experimental; urgency=medium

  * skip testContiguousBigMPI on 32-bit systems.
    See https://github.com/mpi4py/mpi4py/issues/670

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jul 2025 14:59:02 +0200

mpi4py (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * build with MPI4PY_BUILD_MPIABI=1 to enable enhanced support for
    the MPI 5.0 standard ABI and the MPICH or Open MPI legacy ABIs
    Common ABI enables cross-support between OpenMPI and mpich,
    so Closes: #694307.
  * Build-Depends: pybuild-plugin-pyproject
    to build via pyproject.toml
  * update debian/rules
    - drop dh_auto_build override, use default mpicc wrapper
    - build docs before dh_auto_install, to ensure dh_auto_build has
      already been run
    - replace redundant overrides with execute_after_
    - remove redundant get-orig-dev-source
      (upstream now uses github not mercury hg for source repo)
  * debian patch doc_sphinx8.1_revert_PR629.patch reverts upstream
    PR#629 to enable doc build with sphinx 8.1.3.
    See upstream Issue#668.

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Jul 2025 11:22:51 +0200

mpi4py (4.0.3-4) unstable; urgency=medium

  * reenable PMIx tests. The problem is resolved (Bug#1098576).

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Mar 2025 21:20:49 +0100
