=== debian/changelog ===
mpi4py (4.1.1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches doc_sphinx8.1_fix_PR629.patch
      and skip_failing_tests_PR690.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Oct 2025 13:06:07 +0200
